function groupAnnotationsList(list,prop){
	let o = {};	
	for(let a of list){
		if(!a) continue;
		let k = a.get ? a.get(prop) : a[prop];
		if(!o[k]) o[k]=[];
		o[k].push(a);
	}
	return o;
}
function groupAnnotations(v,prop){
	if(!v) return v;
	if(Array.isArray(v)) return groupAnnotationsList(v,prop);
	if(typeof v === "object"){
		for(let k of Object.keys(v)){
			v[k] = groupAnnotations(v[k]);
		}
	}
	return v;
}