function stepMock(){
	return {
		info:()=>{},
		error:()=>{},
		warn:()=>{},
		ok:()=>{},
		work:()=>{}
	}
}
function RCheck(step){
	step = step || stepMock();
	step.info(`Looking for R...`)
	step.work()		

	let pyw = api.exec(['Rscript','--version'])
	let pyv = ''
	pyw.onOutput(s=>{
		pyv = s.split('version')[1].split('(')[0].trim();
	})
	pyw.onError(s=>{
		step.warn(s);
	});
	let pyx = pyw.run();
	if(pyx){
		step.error(`R could not be started (exit code ${pyx}), is it properly installed?`);
		return;
	}
	if(!pyv){
		step.error(`R version could not be determined (got "${pyv}")`);
		return;
	}
	step.append(" v"+pyv);
	step.ok();
	return pyv;
}