/** 
@author CG
@log 2024-05-04 initial implementation
@novalue
@input Array<Object>
@output Object

Count keys across all input objects

**/
function(s, v){	
	if(!v || !v.forEach) {
		log.error(`input is not an array`);
		return v;
	}
	let r = {};
	for(let o of v){
		for(let k of Object.keys(o)){
			if(!r[k]) r[k]=0;
			r[k]++;
		}
	};
	return r;
}