/** 
@author CG
@input Array
@input Object<Array>
@attr ~ js () ~

Iterates over the array(s) values, and executes the provided function

@sample OP each="o => o.x = (o.x * 42) + 7"
**/
function(filter){
	if(!data){
		log.warn(`input must be an array or an object of arrays`);
		return data;
	}
	if(!filter){
		log.warn(`you must provide a filter function`);
		return data;
	}		
	if(Array.isArray(data)){
		return `data.forEach(${filter});data;`;
	}
	
	return `
		Object.keys(data).map(key=>{
			data[key].forEach(${filter});
		});
		data;
	`;
}