/** 
@author CG
@todo @deprecated use filter-by instead
@input Array<Annotation>
@input Object<String,Array<Annotation>>

Filters the array(s) keeping only annotations whose value matches the provided regexp

@sample OP filter-by-value="wh."
**/
function(s, v){
		
	log.warn("filter-by-value is deprecated, use filter-by instead");	
	if(!s) {
		log.error("you must specify a value");
		return `data`;
	}		
	s = `a=>(a.value+'').match(/${s}/)`
		
	if(Array.isArray(v)){
		return `
			data = data.filter(${s});
			data;
		`;
	}
	
	return `
		Object.keys(data).map(key=>
			data[key] = data[key].filter(${s});
		);
		data;
	`;
}