/** 
@author CG
@input Array
@output Object<String,Array>

Groups the array elements by the value of a specific element's property.
The result is an object whose keys are the property values, mapped to arrays of elements.

@sample OP group-by="tier"

**/
function(s, v){	
	if(!v || !v.forEach){
		log.warn('input is not an array');
		return v;
	}

	//var isExtra = (s && s.indexOf('.')>-1 && s.split('.')[0]=='extra');
	//if(isExtra) s = s.split('.')[1]; //todo fix for nested
	var o = {};
	
	v.forEach(a=>{
		var k = a.get ? a.get(s) : a[s]; //todo en fait pas besoin de getExtra, normalement .get gere le format "extra.key"! noob!
		if(!o[k]) o[k]=[a];
		else o[k].push(a);
	})		
	return o;	
}