/** 
@author CG
@log 2024-07-18 initial implementation
@novalue
@attr script js () a function called with current selection/data, which should return data

Runs a JS function which result will be set as current selection/data
Global variables can also be used in scripts via variables.varname

**/
function(name, v){	
	if(!attr.script){
		log.error("you must provide a function to execute, like data => data");
		return v;
	}		
	let f = new Function('return '+attr.script+'')();
	try {
		let res = f(v);
		let value = res;	
		try {
			let j = JSON.stringify(value);
			if(j && j.length){
				if(j.length>50) j = j.substring(0,50)+'…';
				value = j;
			}
			
		}catch(ex){
			
		}
		//log.info('data = '+(value+'').substr(0,50));
		return res;
	}catch(ex){
		log.error(ex.message);
	}		
	return v;
}