/** 
@author CG
@log 2022-11-14 initial implementation
@input Array
@input Object<String,Array>

Creates a new array populated with the results of calling the provided function on each element of the input array(s).
Special pseudo-object syntax can be used to facilitate direct mapping of object properties:
annotation => ({value: annotation.value, tier: annotation.tier.id})
{value: .value, tier: .tier.id}
{value, tier: .tier.id}
**/
function(s, v, c){	
	
	if(c) s = c; // take from element content if exists (<OP> ... </OP>)
	
	if(s.charAt(0)=='{'){
		var a = s.substr(1).replace('}','').split(',');
		s = `(o,i)=>{ return {`;		
		a = a.map((ss,i)=>{			
			if(i) s += `,`;
			var aa = ss.split(':');
			if(aa.length<2) s += `"${aa[0].trim()}":o["${aa[0].trim()}"]`;
			else {
				var v = aa[1].trim();
				if(v.charAt(0)=='.') v = 'o'+v;
				s += `"${aa[0].trim()}":${v}`;
			}			
		});
		s+= `} }`;
		log.debug("lambda: "+s);
		//for(var i=0;i<a.length;i++) a[i] = (a[i]+'').trim();
		//log.info(a.join('|'));
		//TODO check how it is used for typetoken
		//TODO refactor
		//s = '${a[0]}':k,'${a[1]}':data[k]} }`;
		//return `Object.keys(data).map(${s})`;
	}
		
	if(Array.isArray(v)){
		return `data.map(${s})`;
	}
	
	return `
		Object.keys(data).map(key=>{
			data[key] = data[key].map(${s});
		});
		data;
	`;
	
	
	//TODO wtf was this for :
	//return 'Object.keys(data).map('+s+')';
}