/** 
@author CG
@log 2023-02-27 initial implementation
@input Object
@input Array
@label filename

Saves current data to a JSON file. The file will be saved in the processed XML file's folder, overwriting any existing file.

@sample OP save-data-to-json="foobar.json" 
**/
function(s, v , c){
	
	if(s){		
		try {
			c = api.writeFile(s, JSON.stringify(data));
			log.info('Saved JSON file "'+s+'"');
		}catch(ex){
			log.warn("FAILED TO WRITE FILE:"+s);			
			log.error(ex.message);
		}		
	}else{
		log.warn("missing file name, can't save to json file.");
	}
	return `data;`;	
}	
