0.61
====
- proc.audio-anonymizer: fixed timeOrigin bug in
- new proc.reduce-corpus-media
- new proc.export-corpus-standalone
- fixed quotes in linux cli
- fixed api.exec() threading
- new avaa server mode
- added --ssl cli arg
- .exe not limited in RAM usage anymore

0.60
====
- added "difference" mode for select primitive
- added combining modes to stack/unstack/filter primitives
- fixed selecting annotations with a parent
- new mod.table-of-contents to customize table of content
- new mod.pdf-options to customize pdf export
- new proc.speech-to-text-faster-whisper
- new view.transcript
- new op.load-data-from-script
- new op.improve-transcript
- new op.combine-same-tier-consecutive-annotations
- new op.combine-overlapping-annotations
- new op.duration-of-pause
- op.set-global-variable: will set current data if no op value
- op.replace-with-same-timecode-annotations-from-tier: fixed range selection
- op.replace-with-annotations-in-sequence-from-tier: preserve combined annotations
- op.speaker-diarization-pyannote: fixed bug when too many annotations are passed
- op.speaker-diarization-pyannote: fixed bug when processing multiple corpus files
- op.duration-by: added modes
- op.group-by: added deep grouping (arrays in input object)
- op.sort: fixed natural sort 
- view.table: separate display of combined annotations, automatic default columns
- view.timeline: fixed printable backgrounds
- proc.ffmpeg-denoise: added NLM and RNN modes
- proc.rename-tiers: added file attribute
- removed TeiCorpo dependency, migrated to providers for external handling
- editor: improved opening documents (valid links) //TODO CHECK IT WORKS IN OFFLINE EDITOR
- editor: improved selection for tier/select inputs
- editor: added clipboard paste in empty containers
- editor: show error when opening invalid xml file
- editor: new button to make PDF
- editor: new AVAA Config screen
- avaa-config.xml: PDF settings 

0.59
====
- embed jre from adoptium
- added avaa-toolkit.exe windows launcher
- added avaa-config.xml

0.58
====
- added concordancer attributes (show-tier..)
- better density-timeline absolute-start display
- fixed document import missing styles
- fixed snapshots time-origin bug
- fixed progress % when stacking clips with multiple video-inputs
- fixed clip when multiple video-inputs but no video available at a specific time
- FTP can now deploy multiple zips into same directory
- editor: added color-picker for color typed fields

0.57
====
- allow custom subdirectories in FTP deployer
- FTP improvements (UTF-8 and absolute paths)
- handle FTP shortcut connection link

0.56
====
- cancellable conversion + improved progress feedback 
- density-timeline (relate-to-corpus & time-between)
- deploy via FTP

0.55
====
- now using logback
- fixed vad-silero

0.54
====
- new oTranscribe provider for handling OTR format
- added launcher shell script for linux/macOS 
- added examples folder

0.53
====
- new: custom tags can be associated to corpus files
- fix core issues related to reduce-corpus
- fix core issues with pipeline input modes
- python modules auto installed with pip if possible
- view.wordcloud: added attributes + auto size-factor
- proc.video-anonymizer: added more deface options

0.52
====
- new document description field
- new advene provider for handling AZP format
- new bulk provider for batch processing many files
- new reduce-corpus processor
- new export-corpus-media processor
- new video-anonymizer processor
- new r-script processor draft
- moved deface processor to video-anonymizer
- updated media-converter processor
- new mongo database operations
- editor: inserting blocks anywhere fixed
- editor: charts sample image when adding charts

0.51
====
- handles multiple media inputs correctly (+timeOrigin fix)
- new global settings: video-input / video-inputs / video-stack-mode 
- new hardsub processor to burn subtitles into video clips
- migrated SRT handling to subrib provider
- migrated MKV handling to matroska provider
- editor: insert new blocks at any node

0.50
====
- chart legend adapted to AVAA_STYLE
- save live chart preview to PNG/JPG/WEBP (with custom background/scale)

0.49
====
- added equals/contains id match for global styles colors/labels
- adapted charts to use new AVAA_STYLE object

0.48
====
- disk usage ui (assets/temp)
- restricting server connections to allowed origins
- location.hash shortcut links
- new rename-tiers processor

0.47
====
- charts live preview in editor
- fix global labelling in horizontal-bar chart
- fix donut chart
- 
0.46
====
- annotations provider system
- new export-to-eaf processor
- new export-to-srt processor
- new sequences-to-domain processor
- new remove-sequences-from-domain processor
- new speaker-diarization-pyannote processor
- ui: improved domain and realtime feedbacks

0.45
====
- fix set-tier reusing same tier for different annotation files
- fix frei0r effects rendering invalid image format for firefox player
- view.form: added cotext and extend-duration attributes
- improved load-annotations-from-forms
- new custom document CSS via CSS tags in STYLE tags

0.44
====
- fix processor temp path

0.43
====
- introduction of Processors
- new file-match attribute for select and filter tags
- editor realtime log feedback and various improvements

0.42
====
- Remote Corpus (auto download corpus if needed)
- introduction of `<? return 'str' ?>` syntax in HTML block to insert custom strings
- introduction of `variables` which can be used in HTML blocks as {{varname}}
- introduction of `Modifiers`, scripts that can hook anywhere during generation 
- new `IF` tags for conditional branching
- new `set-global-variable` operation to define variables
- new `slideshow` modifier to transform page into a PowerPoint like presentation

0.41
====
- new `scrape` operation to fetch and extract data from webpages

0.40
====
- fix html escaping in legend.swatches

0.39
====
- fix handling arrays of annotations containing null values in extra branch 

0.38
====
- editor selectable nodes with copy/paste
- scope for Style entries (tier/value)

0.37
====
- annotation.clone() was not copying tags 

0.36
====
- view.intercoding coincidence and weight matrix + krippendorff

0.35
====
- added --lang argument
- editor now supports undo

0.34
====
- text encoding fixed in density view and set-tier operation

0.33
====
- text encoding fallback in getTier()
- renamed "select-" operations to "replace-with-"
- multi-language initial implementation

0.32
====
- deployment facility (unpack zip and host)

0.31
====
- file dialog improvements when adding file to domain
- added file in domain will try to use relative path if possible
- removed version from release folder name, easing updates
- attributes deprecation warning in editor and documentation
- a click on the top-left green rectangle brings back home tab
- new files can be created
- fixed "browse" for operations
