function execOutputWrapper(step,onResult,opt){					
	opt = opt || {};
	if(!opt.progress) opt.progress = p=>`Processing... ${p}`;
	if(!opt.download) opt.download = p=>`Downloading... ${p}`;
	const logmap = {E:'error',I:'info',W:'warn'};
	var inProgress = false;
	var inDownload = false;
	return s=>{
		if(s[0]=='#' && s[2]==':'){
			let c = s[1];
			let msg = s.substr(3);
			if(c=='R') onResult(msg);
			else if(c=='P') {
				if(!inProgress) step.info(opt.progress(msg))
				else step.replace(opt.progress(msg));
				inProgress = msg;
				step.work();
			}
			else if(c=='D') {
				if(!inDownload) step.info(opt.download(msg))
				else step.replace(opt.download(msg));
				inDownload = msg;
				step.work();
			}
			else if(c=='F') {
				let a = msg.split('=')
				step.file(a[1].trim(),a[0]+'= ');
			}
			else if(logmap[c]) step[logmap[c]](msg);
			else step.warn('> '+s);
			if(msg.substr(msg.length - 3)=='...') step.work();				
		}else{
			step.warn('# '+s);
		}
	}
}
const procExecOutputWrapper = execOutputWrapper; // alias just in case