/** 
@log 2023-07-21 initial
@author CG
Generates a poster displaying the waveform of the sound channel
**/
function(args){
	
	if(!args.input) args.input = args.annotation.tier.af.getPipedMedia().file.getAbsolutePath().toString();
	var resolution = api.converter.getSetting('poster-resolution','640x480');
	
	//ffmpeg -i input.wav -filter_complex showwavespic -frames:v 1 output.png
		//
	var cmd = `-v 0 -y -i "${args.input}"`;
	cmd+=` -filter_complex showwavespic -frames:v 1 "${args.output}"`
	//log.info(cmd);
	api.getFFmpeg().run(cmd.split(' '));	
}
function ffescape(s){
	s = s.split(":").join("\\\\\\:");
    s = s.split("'").join("\\\\\\'");
	return s;
}