/** 
@author CG
@log 2024-09-09 initial implementation

@attr page-size string (A4) [auto,portrait,landscape,letter,legal,ledger,A5,A4,A3,B5,B4,JIS-B5,JIS-B4] A valid CSS @page size

Basic PDF options like page size

**/
MOD = {
	hook:function(event){
		switch(event){			
			case '/head':							
				let css = `/* mod.pdf-options */ @page { `;
				
				if(attr['page-size']) css += `size: ${attr['page-size']}; `;
				
				css += `}`
				return `<style>${css}</style>`;
			case 'head':
				return '<!-- mod.pdf-options v0.1 -->';
		}
	}
}