/** 
@author CG
@log 2023-04-07 initial implementation
@input Array<Annotation>
@output Array<Annotation>
@novalue

Clones each annotation in the selection, so they can be modified without affecting the originals.

@sample OP clone=""
**/
function(s, v){	
	var ret = [];
	data.forEach((a,i)=>{
		if(a && a.clone) ret.push(a.clone());
		else log.warn("unclonable element at index "+i);
	});
	return ret;
}