/** 
@author CG
@input Array<Annotation|Object>
@input Object<String,Array<Annotation|Object>>
Counts by a specific property
@sample OP count-by="tier"
**/
function(s, v){
		
	if(Array.isArray(v)){		
		//TODO recheck
		return `		
			var count = {};
			data.forEach(a=>{
				var k = a.get ? a.get('${s}') : a['${s}'];
				if(!count[k]) count[k]=1;
				else count[k]++;
			});
			count;
		`;
	}
	
	return `
		Object.keys(data).map(key=>{
			var count = {};
			data[key].forEach(a=>{
				var k = a.get ? a.get('${s}') : a['${s}'];
				if(!count[k]) count[k]=1;
				else count[k]++;
			});
			data[key] = count;
		});
		data;
	`;
}