/** 
@author CG
@log 2023-27-02 initial implementation
@input Object<String,*>
@internal

Transforms an object into an array by mapping each key of the object to an object which will be added to array.

@sample <!-- Maps object {key:value} to an array of objects {name:key, value:value} -->
@sample OP map-object="{name,value}"
**/
function(s, v, c){	
	
	log.warn('OP `map-object` is deprecated, use OP `flatten` instead.');
	
	if(c) s = c; // take from element content if exists (<OP> ... </OP>)
	
	if(s.charAt(0)=='{'){
		var a = s.substr(1).replace('}','').split(',');
		for(var i=0;i<a.length;i++) a[i] = (a[i]+'').trim();
		//log.info(a.join('|'));
		//TODO check tri.xml to see how it is used for typetoken
		//TODO refactor
		s = `(k,v)=>{ return {'${a[0].trim()}':k,'${a[1].trim()}':data[k]} }`;
		return `Object.keys(data).map(${s})`;
	}
		
		//TODO
	if(Array.isArray(v)){
		return `data.map(${s})`;
	}
	
	return `
		Object.keys(data).map(key=>{
			data[key] = data[key].map(${s});
		});
		data;
	`;
	
	
	//TODO wtf was this for :
	//return 'Object.keys(data).map('+s+')';
}