/** 
@author CG
@category database
@label collection
@log 2023-11-06 rewrite nostringret
@log 2023-06-15 initial implementation
@attr query js () The mongo query, a plain JS object like {property:"value"}
@attr projection js () The query projection, a plain array like ['prop1','prop2'] listing the properties to return
@attr limit int (1000) The maximum number of documents to return
@output Array<Object>

Loads objects from a MongoDB Collection

**/
function(s, v){		
	if(!s){
		log.error(`you must specify which collection to look into`);
		return v;
	}
	if(!v) {
		log.error(`input is undefined`);
		return v;
	}	
	let collection = api.getMongo().db.getCollection(s);
	let ret = [];
	let cursor = attr.query ? collection.find(org.bson.Document.parse(attr.query)) : collection.find();	
	
	const limit = attr.limit*1 || 1000;
	if(limit) cursor.limit(limit);
	
	if(attr.projection){
		
	}
	cursor.forEach(o=>{
		ret.push(JSON.parse(JSON.stringify(o)));
	})	
	//log.info(`found ${ret.length} document${ret.length>1?'s':''}`);
	return ret;
}