/** 
@author CG
@category database
@label collection
@log 2023-11-06 rewrite nostringret
@log 2023-06-15 initial implementation
@todo novalue
@input Array<Object>
@input Object


Inserts input objects into a MongoDB Collection

**/
function(s, v){	
	if(!s){
		log.error(`you must specify which collection to insert into`);
		return v;
	}
	if(!v) {
		log.error(`input is undefined`);
		return v;
	}	
	if(!v.forEach){
		v = [v]/*{
		log.error(`input is not an array`);
		return v;*/
	}
	let total = 0;
	for(let o of v){	
		let json = JSON.stringify(o);
		if(o.toJSONObject){
			json = o.toJSONObject().toString();
		}
		//log.info(json);
		//continue;
		let doc = org.bson.Document.parse(json);
		api.getMongo().db.getCollection(s).insertOne(doc);		
		total++;
	}
	log.info(`inserted ${total} document${total>1?'s':''}`);
	return v;
}