/** 
@author CG
@log 2023-06-03 initial implementation
@input Array<Annotation>
@output Array<Annotation>
@novalue

Remove XML tags from annotations' value

@sample OP set-tag="+mytag"
@sample OP set-tag="-mytag"
**/
function(s, v){		
	data.forEach(a=>{
		a.value = a.value.replace(/<\/?[^>]+(>|$)/g, "");
	});
	return data;
}