/** 
@author CG
@log 2023-06-03 initial implementation
@input Array<Annotation>
@output Array<Annotation>

Adds or removes annotation's tag

@sample OP set-tag="+mytag"
@sample OP set-tag="-mytag"
**/
function(s, v){	
	s = s||'';
	var c = s.charAt(0);
	var remove = c=='-' ? 1 : 0;
	if(c=='+' ||c=='-') s = s.substring(1);
	return `
		var ret = [];		
		var tier;
		data.forEach(a=>{
			if(${remove}) a.removeTag("${s}");
			else a.addTag("${s}");
			ret.push(a);
		});
		ret;
	`;		
}