/** 
@author CG
@log 2024-09-20 initial implementation
@todo @input Array
@input Object<Object>
@novalue
Transforms an object of structure {A:{a:1,b:2}} into structure {a:{A:1},b:{A:2}}
**/
function(s, v, c){	
	
	if(Array.isArray(v)){
		log.error(`not implemented for arrays`)
		return data;
	}
	
	let result = {}
	for(let group in data){
		for(let k in data[group]){
		  if(!result[k]) result[k]={}
		  result[k][group] = data[group][k]
		}
	}
	return result

}