/** 
@author CG
@internal

@global video-codec string (copy) Codec for exported video clips encoding
@global video-resolution string Resolution (ie. 640x480) of exported video clips
@global video-frame-rate int Frame rate of exported video clips
@global video-format string Format (ie. mp4) of exported video clips
@global video-filter string FFMPEG complex filter to apply on each exported video clip
@global video-poster string () [,details,waveform] Script for video poster generation (default to snap)
@global video-input int (1) Which video input to choose from when multiple are available in a corpus file
@global video-inputs int (1) Number of video inputs from a corpus file, to use when building clips
@global video-stack-mode string (hstack) [hstack,vstack] The stacking mode to combine multiple inputs
@global snap-input int (1) Which video input to choose from when multiple are available in a corpus file
@global snap-inputs int (1) Number of video inputs from a corpus file, to use when building snapshot
@global snap-stack-mode string (hstack) [hstack,vstack] The stacking mode to combine multiple inputs
@global snap-offset string (0%) Offset to capture snapshot, from annotation's start time  (in milliseconds, or percentage with %)
@global audio-codec string Codec for audio encoding (aac, mp3...)
@global audio-channels int Number of audio channels (mono 1, stereo 2)
@global audio-sample-rate int Sample rate in Hz
@global audio-bit-rate int Bit rate in bit/s
@global audio-filter string FFMPEG audio filter to apply on each exported video clip
@global audio-poster string (details) [details,waveform] Script for audio poster generation
@global poster-resolution string Resolution of exported poster (ie. 640x480)
@global disable-cache bool (false) Disabling cache will force all assets (clips, posters) to be regenerated during conversion
@global processor-pipeline-input string () [,corpus,section-assets,all-assets] The initial media to populate the pipeline
@attr tier tier select annotations of a tier
@attr value string select annotations with a specific value
@attr value-contains string select annotations with a value containing a specific string
@attr participant string select annotations of a participant
@attr group string select annotations belonging to a group
@attr value-match regexp a regular expression to select only annotations whose value matches the pattern
@attr tier-match regexp a regular expression to select annotations whose tier matches the pattern
@attr group-match regexp a regular expression to select annotations whose group matches the pattern
@attr participant-match regexp a regular expression to select annotations whose participant matches the pattern
@attr file-match regexp a regular expression to filter annotations whose filename matches the pattern
@attr file-tag-match regexp a regular expression to filter annotations whose file has a tag matching the pattern
@attr tag-match regexp a regular expression to filter annotations which have a tag matching the pattern
@attr ref-tier tier ?
@attr ref-value string ?
@attr ref-value-match regexp ?
@attr sort string ( ) [ ,+,-] sort resulting list in ascending/descending order, based on start time
@attr mode string (add) [add,subtract,intersect] mode used for completing an existing selection
@attr limit int (0) maximum number of annotations to select
@deprec @attr limit-per-eaf int (0) maximum number of annotations to select in one particular eaf (deprecated)
@deprec @attr limit-per-af int (0) maximum number of annotations to select in one particular annotation file (deprecated)
@attr limit-per-file int (0) maximum number of annotations to select in one particular annotation file
**/
